package com.ai.da.service;

import com.ai.da.common.response.PageBaseResponse;
import com.ai.da.mapper.primary.entity.TaskList;
import com.ai.da.model.dto.QueryTaskHistoryDTO;
import com.ai.da.model.dto.SuperResolutionDTO;
import com.ai.da.model.dto.TaskDTO;
import com.ai.da.model.vo.TaskVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface TaskListService extends IService<TaskList> {

    List<TaskDTO<SuperResolutionDTO>> getExecTask(List<String> taskIdList);

    void addToTaskListRedis(TaskDTO<SuperResolutionDTO> taskDTO);

    void updateTaskStatusOrOutputRedis(String taskId, String status, String output);

    PageBaseResponse<TaskVO> getAllTask(QueryTaskHistoryDTO queryTaskHistoryDTO);
}
